21.package.json文件的讲解

dependencies

项目运行所需的依赖包

devDependencies

项目开发和测试所需要的依赖包

包版本控制

版本号为三位数,一定要注意了。

[major, minor, patch]

1.严格匹配

//必须严格匹配版本号1.2.3
1.2.3

2.通配符匹配

//等同于>=0.0.0
*
//等同于>=1.0.0 <2.0.0-0
1.x
//等同于>=1.2.0 <1.3.0-0
1.2.x

3.局部匹配

//等同于 *
"" (empty string)

//等同于1.x.x,等同于>=1.0.0 <2.0.0-0
1

//等同于1.2.x,等同于>=1.2.0 <1.3.0-0
1.2

4.算术匹配

//必须大于版本号,不可以等于
>1.0.2
//比如可以1.2.7, 1.2.8, 2.5.3, and 1.3.9,不可以匹配1.2.6 or 1.1.0
>=1.2.7
//必须小于版本号,不可以等于
<1.3.0
//必须小于等于版本号
<=1.3.0

5.区间匹配

//等同于>=1.2.3 <=2.3.4
1.2.3 - 2.3.4
//等同于>=1.2.0 <=2.3.4
1.2 - 2.3.4
//等同于>=1.2.3 <2.4.0-0
1.2.3 - 2.3
//等同于>=1.2.3 <3.0.0-0
1.2.3 - 2

6.或匹配

//可以匹配1.2.7, 1.2.9, and 1.4.6,不可以匹配1.2.8 or 2.0.0
1.2.7 || >=1.2.9 <2.0.0

7.~匹配

如果在版本号上指定了minor,则允许patch级别的更改。如果没有minor,则允许minor级别的更改。

//等同于>=1.2.3 <1.3.0-0
~1.2.3
//等同于>=1.0.0 <2.0.0-0
~1

8.^匹配

^符号的意义就是版本号允许更改但是不可以更改最左边非零的数字。

//等同于>=1.2.3 <2.0.0
^1.2.3
//等同于>=0.2.3 <0.3.0
^0.2.3
//等同于>=0.0.3 <0.0.4
^0.0.3

原创文章,作者:huoxiaoqiang,如若转载,请注明出处:https://www.huoxiaoqiang.com/basic/js/3678.html

发表评论

登录后才能评论